cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Frederico Costa Galvão (JIRA) <j...@apache.org>
Subject [jira] [Updated] (CB-1978) Cordova 2.2 iOS does not work with RequireJS
Date Mon, 14 Jan 2013 21:10:12 GMT

     [ https://issues.apache.org/jira/browse/CB-1978?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Frederico Costa Galvão updated CB-1978:
---------------------------------------

    Attachment: www.tar.gz

Sure.
All needed www's files, except for cordova-2.3.0.js. Just tested: works on android and doesn't
on iOS.
                
> Cordova 2.2 iOS does not work with RequireJS
> --------------------------------------------
>
>                 Key: CB-1978
>                 URL: https://issues.apache.org/jira/browse/CB-1978
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: iOS
>    Affects Versions: 2.1.0, 2.2.0
>         Environment: Use RequireJS to loading cordova.js
> http://requirejs.org/
>            Reporter: Kenichi Yonekawa
>            Assignee: Andrew Grieve
>            Priority: Minor
>             Fix For: Master
>
>         Attachments: www.tar.gz
>
>
> Cordova does not fire `deviceready` when using RequireJS to loading cordova.js
> Because, cordova-ios accesses `window.cordova` object at `webViewDidFinishLoad`
> However, window.cordova is undefined. It occurs JavaScript error.
> I create monkey patch for my project.
> it works for me.
> https://gist.github.com/4159669
> So, cordova-2.1.0 has same problem.
> My monkey patch is here.
> https://gist.github.com/3824310

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message